#define WRITE_DATA        		  PORTBbits.RB2=1
#define WRITE_INSTRUCTION			 	PORTBbits.RB2=0
#define TO_BE_WRITTEN           PORTBbits.RB3=1   // This is the rising edge of ENABLE
#define WRITTEN                 PORTBbits.RB3=0   // This is the falling edge of ENABLE - data will be written



void Init_TLCD(void);
void Text_TLCD(unsigned char Line, unsigned char Position, const unsigned rom char *Text);
void Interface_4bit(void);
void Interface_8bit(void);
void One_Line_TLCD(void);
void Two_Line_TLCD(void);
void TLCD_ON(void);
void TLCD_OFF(void);
void Clear_TLCD(void);
void Cursor_ON(void);
void Cursor_OFF(void);
void Cursor_Blink_ON(void);
void Cursor_Blink_OFF(void);
void Cursor_HOME(void);
void Entry_Mode(void);

